use strictures 1;
use Test::More;
use FindBin;

use System::Introspector::Probe::Hosts;

my $probe = System::Introspector::Probe::Hosts->new(
    hosts_file => "$FindBin::Bin/data/hosts",
);

my $result = $probe->gather;
ok $result, 'received data';
my $data = $result->{hosts};
ok $data, 'received hosts data';

is_deeply $data,
    [['1.2.3.4', qw( foo bar )], ['2.3.4.5', 'bar']],
    'parsing worked';

done_testing;
